Subject: Re: Net-next-2.6 and net-2.6 repos and git-cloning via http

From: Jarek Poplawski <[email-masked]>
Date: Tue, 15 Dec 2009 13:42:43 +0000

On 15-12-2009 11:04, Rami Rosen wrote:
> Hello,
> Do the net-next-2.6 and net-2.6 repossupport git-clone via http (for
> cases when git port, 9418, is blocked ?)

David responded a similar question recently - http is not supported.

Jarek P.

> 
> I am trying:
> git-clone http://git.kernel.org/pub/scm/linux/kernel/git/davem/net-next-2.6.git
> Initialized empty Git repository in /home/rami/new/net-next-2.6/.git/
> fatal: http://git.kernel.org/pub/scm/linux/kernel/git/davem/net-next-2.6.git/info/refs
> not found: did you run git update-server-info on the server?
> 
> also:
> git-clone http://www.kernel.org/pub/scm/linux/kernel/git/davem/net-next-2.6.git
> Initialized empty Git repository in /home/rami/new/net-next-2.6/.git/
> gives the same result.
> 
> (I just want to add that on some other repos, the info/refs does exist,
> for example, http://www.kernel.org/pub/scm/virt/kvm/pcbios.git/info/refs,
> and I can do git-clone with
> http with them, but I really don't know whether this is the reason or
> just a wild speculation).
> 
> Rgs,
> Rami
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>